Subject: Re: [syzbot] [bluetooth?] general protection fault in hci_uart_tty_ioctl

From: syzbot <[email-masked]>
Date: Mon, 17 Jul 2023 13:22:24 -0700

syzbot suspects this issue was fixed by commit:

commit d772781964415c63759572b917e21c4f7ec08d9f
Author: Jakub Kicinski <[email-masked]>
Date:   Fri Jan 6 06:33:54 2023 +0000

    devlink: bump the instance index directly when iterating

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=136a0414a80000
start commit:   84368d882b96 Merge tag 'soc-fixes-6.1-3' of git://git.kern..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=24d192d47d02d9e1
dashboard link: https://syzkaller.appspot.com/bug?extid=c19afa60d78984711078
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=168fc765880000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=1376e745880000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: devlink: bump the instance index directly when iterating

For information about bisection process see: https://goo.gl/tpsmEJ#bisection